Рекомендация Debian по безопасности

DSA-1959-1 ganeti -- отсутствие очистки ввода

Дата сообщения:
19.12.2009
Затронутые пакеты:
ganeti
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2009-4261.
Более подробная информация:

Было обнаружено, что ganeti, программа управления кластером виртуальных серверов, не выполняет проверку пути сценариев, передаваемых в качестве аргументов определённым командам, что позволяет локальным или удалённым пользователям (через веб-интерфейс в версиях 2.x) выполнять произвольные команды на узле, выступающем в качестве главного узла кластера.

В предыдущем стабильном выпуске (etch) пакет ganeti отсутствует.

В стабильном выпуске (lenny) эта проблема была исправлена в версии 1.2.6-3+lenny2.

В тестируемом выпуске (squeeze) эта проблема будет исправлена в версии 2.0.5-1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 2.0.5-1.

Рекомендуется обновить пакеты ganeti.

Исправлено в:

Debian GNU/Linux 5.0 (lenny)

Исходный код:
http://security.debian.org/pool/updates/main/g/ganeti/ganeti_1.2.6-3+lenny2.diff.gz
http://security.debian.org/pool/updates/main/g/ganeti/ganeti_1.2.6.orig.tar.gz
http://security.debian.org/pool/updates/main/g/ganeti/ganeti_1.2.6-3+lenny2.dsc
Независимые от архитектуры компоненты:
http://security.debian.org/pool/updates/main/g/ganeti/ganeti_1.2.6-3+lenny2_all.deb

Контрольные суммы MD5 этих файлов доступны в исходном сообщении.